#include <iostream>
#include<iomanip>
using namespace std;

int main()
{
    int n ;
    cin >> n ;
    double a[n][2] ;
    for (int i=0 ; i<n; i++){
        for (int j=0;j<2 ; j++){
            cin >> a[i][j];
        }
    }
    double p1 ;
    double p2 ;
    for (int i=0;i<n-1;i++){
        for(int j=i+1;j<n;j++)
        if(a[i][1]>a[j][1]){
            p1=a[i][0] ;
            p2=a[i][1] ;
            a[i][0]=a[j][0] ;
            a[i][1]=a[j][1] ;
            a[j][0]=p1 ;
            a[j][1]=p2 ;
        }
    }
    double m ;
    double m1 ;
    m=0 ;
    m1=0;
    for (int i=0; i<n; i++){
        for(int j=i; j<n; j++){
            m=m+(a[j][0]*a[i][1]/100);

        }
        if (m>m1){
            m1=m;
        }
        m=0;
    }

    cout <<fixed << showpoint<< setprecision(3)<< m1;
    return 0;
}